cURL
curl --request GET \
--url https://app.spotdx.com/api/v2/orders/{public_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://app.spotdx.com/api/v2/orders/{public_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.spotdx.com/api/v2/orders/{public_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order_id": "O1234567",
"status": "completed",
"recipient": {
"first_name": "Alice",
"last_name": "Smith",
"email": "alice123@gmail.com",
"phone": "1234567890",
"address": {
"street1": "123 Main St",
"street2": "Apt 1",
"city": "San Francisco",
"state": "CA",
"country": "US",
"zip": "94105"
}
},
"kit_types": [
"health_kit_1"
],
"kits": [
{
"kit_id": "SPOT123456",
"type": "health_kit_1",
"status": "preparing",
"events": [
{
"status": "preparing",
"created": "2023-01-01T04:30:11.222Z"
},
{
"status": "in_transit",
"created": "2023-01-05T04:30:11.222Z"
},
{
"status": "delivered",
"created": "2023-01-06T04:30:11.222Z"
},
{
"status": "registered",
"created": "2023-01-07T04:30:11.222Z"
}
],
"shipment_to_customer": {
"tracking_number": "9400123456789999876500",
"carrier": "usps",
"created": "2023-01-01T04:30:11.222Z"
},
"registered_to": {
"patient_id": "7563e8e2-7fbd-480c-9b8b-2070eda884bf",
"first_name": "Alice",
"last_name": "Smith",
"date_of_birth": "1990-01-01",
"sex": "F",
"email": "alice123@gmail.com",
"phone": "1234567890"
},
"sample": {
"sample_id": "SPOT654321",
"status": "resulted",
"events": [
{
"status": "awaiting_collection",
"created": "2023-01-01T04:30:11.222Z"
},
{
"status": "in_transit",
"created": "2023-01-10T04:30:11.222Z"
},
{
"status": "delivered",
"created": "2023-01-11T04:30:11.222Z"
},
{
"status": "received",
"created": "2023-01-12T04:30:11.222Z"
},
{
"status": "resulted",
"created": "2023-01-13T04:30:11.222Z"
}
],
"type": "adx100",
"shipments": [
{
"tracking_number": "9400123456789999876500",
"carrier": "usps",
"created": "2023-01-01T04:30:11.222Z"
}
],
"panels": [
"PANEL-123"
],
"reports": [
{
"report_id": "<string>",
"results": [
{
"result_type": "quantity",
"name": "HDL Cholesterol",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": 123,
"unit_of_measure": "mg/dL",
"range_minimum": 20,
"range_maximum": 200,
"comments": null
},
{
"result_type": "quantity",
"name": "Vitamin B12",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "<10",
"unit_of_measure": "pg/mL",
"range_minimum": 20,
"range_maximum": 200,
"comments": null
},
{
"result_type": "reactivity",
"name": "Chlamydia",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "negative",
"unit_of_measure": null,
"range_minimum": null,
"range_maximum": null,
"comments": null
},
{
"result_type": "genotype",
"name": "rs1234567",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "TT",
"unit_of_measure": null,
"range_minimum": null,
"range_maximum": null,
"comments": null
}
],
"pdf": "https://app.spotkits.com/results/f0e5a607-5b52-4d7c-a3f2-c40772d41482.pdf",
"txt": "https://app.spotkits.com/results/f0e5a607-5b52-4d7c-a3f2-c40772d41482.txt",
"date_collected": "2023-11-07T05:31:56Z",
"date_received": "2023-11-07T05:31:56Z",
"date_resulted": "2023-11-07T05:31:56Z",
"is_amendment": true
}
]
}
}
],
"created": "2023-01-01T04:30:11.222Z",
"updated": "2023-01-01T04:30:11.222Z",
"metadata": {}
}
API Reference - Orders
Get order by ID
Retrieve a singular order matching the provided ID.
GET
/
api
/
v2
/
orders
/
{public_id}
/
cURL
{
"order_id": "O1234567",
"status": "completed",
"recipient": {
"first_name": "Alice",
"last_name": "Smith",
"email": "alice123@gmail.com",
"phone": "1234567890",
"address": {
"street1": "123 Main St",
"street2": "Apt 1",
"city": "San Francisco",
"state": "CA",
"country": "US",
"zip": "94105"
}
},
"kit_types": [
"health_kit_1"
],
"kits": [
{
"kit_id": "SPOT123456",
"type": "health_kit_1",
"status": "preparing",
"events": [
{
"status": "preparing",
"created": "2023-01-01T04:30:11.222Z"
},
{
"status": "in_transit",
"created": "2023-01-05T04:30:11.222Z"
},
{
"status": "delivered",
"created": "2023-01-06T04:30:11.222Z"
},
{
"status": "registered",
"created": "2023-01-07T04:30:11.222Z"
}
],
"shipment_to_customer": {
"tracking_number": "9400123456789999876500",
"carrier": "usps",
"created": "2023-01-01T04:30:11.222Z"
},
"registered_to": {
"patient_id": "7563e8e2-7fbd-480c-9b8b-2070eda884bf",
"first_name": "Alice",
"last_name": "Smith",
"date_of_birth": "1990-01-01",
"sex": "F",
"email": "alice123@gmail.com",
"phone": "1234567890"
},
"sample": {
"sample_id": "SPOT654321",
"status": "resulted",
"events": [
{
"status": "awaiting_collection",
"created": "2023-01-01T04:30:11.222Z"
},
{
"status": "in_transit",
"created": "2023-01-10T04:30:11.222Z"
},
{
"status": "delivered",
"created": "2023-01-11T04:30:11.222Z"
},
{
"status": "received",
"created": "2023-01-12T04:30:11.222Z"
},
{
"status": "resulted",
"created": "2023-01-13T04:30:11.222Z"
}
],
"type": "adx100",
"shipments": [
{
"tracking_number": "9400123456789999876500",
"carrier": "usps",
"created": "2023-01-01T04:30:11.222Z"
}
],
"panels": [
"PANEL-123"
],
"reports": [
{
"report_id": "<string>",
"results": [
{
"result_type": "quantity",
"name": "HDL Cholesterol",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": 123,
"unit_of_measure": "mg/dL",
"range_minimum": 20,
"range_maximum": 200,
"comments": null
},
{
"result_type": "quantity",
"name": "Vitamin B12",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "<10",
"unit_of_measure": "pg/mL",
"range_minimum": 20,
"range_maximum": 200,
"comments": null
},
{
"result_type": "reactivity",
"name": "Chlamydia",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "negative",
"unit_of_measure": null,
"range_minimum": null,
"range_maximum": null,
"comments": null
},
{
"result_type": "genotype",
"name": "rs1234567",
"time_collected": "2023-01-14T04:30:11.222Z",
"result": "TT",
"unit_of_measure": null,
"range_minimum": null,
"range_maximum": null,
"comments": null
}
],
"pdf": "https://app.spotkits.com/results/f0e5a607-5b52-4d7c-a3f2-c40772d41482.pdf",
"txt": "https://app.spotkits.com/results/f0e5a607-5b52-4d7c-a3f2-c40772d41482.txt",
"date_collected": "2023-11-07T05:31:56Z",
"date_received": "2023-11-07T05:31:56Z",
"date_resulted": "2023-11-07T05:31:56Z",
"is_amendment": true
}
]
}
}
],
"created": "2023-01-01T04:30:11.222Z",
"updated": "2023-01-01T04:30:11.222Z",
"metadata": {}
}
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
The ID of the order to retrieve.
Response
The unique identifier of the order.
Example:
"O1234567"
Available options:
pending, in_progress, completed, canceled Show child attributes
Show child attributes
A list of the kit types that are included in this order.
Example:
["health_kit_1"]Show child attributes
Show child attributes
The date and time the order was created.
Example:
"2023-01-01T04:30:11.222Z"
The date and time the order was last updated.
Example:
"2023-01-01T04:30:11.222Z"
An optional dictionary of key-value pairs stored with the order.
Example:
null
⌘I